# GridItem

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Implements one row in a [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class GridItem : IUserData
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class GridItem
    Inherits IUserData
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) CellRenderer

[String](https://docs.microsoft.com/dotnet/api/system.string): Name of the JavaScript call used to render the cell.

### ![](/files/hsR4ok3152WyAf8J2C1u) Expandable

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Return whether the specified property is expandable to show nested properties.

### ![](/files/hsR4ok3152WyAf8J2C1u) Expanded

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) is in an expanded state.

**Throws:**

* [NotSupportedException](https://docs.microsoft.com/dotnet/api/system.notsupportedexception)\
  The [Expanded](#expanded) property was set to true, but a [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) is not expandable.

### ![](/files/hsR4ok3152WyAf8J2C1u) GridItems

[GridItemCollection](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemcollection.md): Returns the collection of [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) objects, if any, associated as a child of this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) GridItemType

[GridItemType](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemtype.md): Returns the type of this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) HasUserData

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Checks if the [UserData](#userdata) dynamic object was created and has any value.

### ![](/files/hsR4ok3152WyAf8J2C1u) Label

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the text of this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Parent

[GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md): Returns the parent [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) of this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md), if any.

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyDescriptor

[PropertyDescriptor](https://docs.microsoft.com/dotnet/api/system.componentmodel.propertydescriptor): Returns the [PropertyDescriptor](https://docs.microsoft.com/dotnet/api/system.componentmodel.propertydescriptor) that is associated with this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Tag

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets user-defined data about the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md). (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) UserData

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns a dynamic object that can be used to store custom data in relation to this control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the current value of this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md).

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Select()

Selects this [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) in the [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md).

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). true if the selection is successful; otherwise, false.

## Implements

| Name                                                          | Description                                                                                                     |
| ------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md) | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
